Bug 5329 - Adding support for installing and removing win32 services.
Adding support for installing and removing win32 services.
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Build environment
3.3.3
Other Linux
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 04:21 UTC by Danny Tylman
Modified: 2009-04-08 15:58 UTC (History)
2 users (show)

See Also:


Attachments
patch to add the described functionality, from version 3.0.28a (4.11 KB, patch)
2008-03-17 04:23 UTC, Danny Tylman
no flags Details
patch to add the described functionality, from version 3.0.28a (19.78 KB, patch)
2008-03-17 09:39 UTC, Danny Tylman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Danny Tylman 2008-03-17 04:21:45 UTC
Changing net utility to support service creation and deletion. That is: adding 'rpc service install' and 'rpc service delete' commands to the net utility.
Comment 1 Danny Tylman 2008-03-17 04:23:37 UTC
Created attachment 3179 [details]
patch to add the described functionality, from version 3.0.28a
Comment 2 Derrell Lipman 2008-03-17 09:14:02 UTC
This attachment appears not to be a patch file.  It's binary data.
Comment 3 Danny Tylman 2008-03-17 09:37:38 UTC
the patch is gzipped.
Comment 4 Danny Tylman 2008-03-17 09:39:55 UTC
Created attachment 3180 [details]
patch to add the described functionality, from version 3.0.28a

uploaded unzipped version
Comment 5 Guenther Deschner 2008-03-18 05:13:30 UTC
Don't you plan to have this functionality in Samba 3.2 also?
Comment 6 Guenther Deschner 2009-04-08 14:17:53 UTC
Jim, I take this as well if you don't mind.
Comment 7 Guenther Deschner 2009-04-08 15:44:33 UTC
Ok, this patch has been adapted to IDL based svcctl rpc and is pushed to master/v3-4-test:

http://git.samba.org/?p=samba.git;a=commitdiff;h=d0c307af56006d6fb898e395613d7e9c29b84116
Comment 8 Guenther Deschner 2009-04-08 15:58:03 UTC
I just took it and pushed it to 3-3-test as well but this is *not* going into 3.2 or 3.0.

The 3-3-test patch is: http://git.samba.org/?p=samba.git;a=commitdiff;h=86c360134d9a282d0955f0fd18c0d3727d010f57 and will be in 3.3.4.